Fountain's Developer APIs enable Fountain's clients to access and modify their hiring data.
If you are a Fountain partner, please refer to partners.fountain.com for guides on integrating with Fountain.
Fountain Hire Package RequiredThis feature is only offered in our Fountain package. Please contact your designated Fountain representative or [email protected] if you'd like to learn more.
Fountain Hire API v2.0 Overview
Fountain Hire offers a REST API that allows you to programmatically manage your applicants. You can use these API's to automate tasks, trigger actions when changes occur, or synchronize your external systems with Fountain.
Tokens and Authentication
Private Hire API Key
Use a private Hire API key for a tenant-specific integration that does not use a Fountain-issued JWT. Pass the key in the X-ACCESS-TOKEN request header.
curl "https://{your-hire-tenant}/api/v2/applicants" \
-H "X-ACCESS-TOKEN: YOUR_API_KEY"You can find your API Token by logging into the Fountain dashboard, clicking on your account name in the top-right corner, and selecting Company Settings. On the API page under Developer Settings, click the Show API Keys button to view your keys.
If you do not see any API settings available, please email [email protected] to request API Access.
Authorization Bearer JWT
Use a Fountain-issued JWT for service-to-service calls. Pass the token in the Authorization header with the Bearer scheme. The token must include the Hire account claim and the required API scope.
curl "https://{your-hire-tenant}/api/v2/applicants" \
-H "Authorization: Bearer YOUR_JWT"Use the Bearer JWT flow when your service receives a JWT from Fountain or WX. Use X-ACCESS-TOKEN for existing tenant API-key integrations and trusted third-party integrations. Do not send either credential from browser code.
Trusted Party API Key
To simplify data import from third-party sources, Fountain Hire offers a Trusted Party API Key. The Trusted Party API Key is only allowed to create applicants. This key cannot be used to retrieve, create, delete, or modify applicant data. This key can be shared with a trusted third-party service to import applicants into your pipeline with no worries that sensitive data will be exposed.
Requests using the Trusted Party API Key should only come from server-side requests so as to hide the Trusted Party API Key from malicious entities which could otherwise obtain the key from client-side assets. Failure to do so could lead to exposure of the Trusted Party API Key and spam creation of applicants.
Note: The Trusted Party API Key is subject to the same rate limiting as the private API Key.
Unique Identifiers
Most Fountain Hire entities — applicants, stages, interview sessions, etc. — have a unique global identifier (UUID), sometimes referred to as just “ID”. Use this unique identifier to reference entities, such as an applicant.
We recommend storing UUIDs of Fountain Hire entities in your database to later reference them via API. For example, saving the ID returned during applicant creation will allow you to later retrieve information or make updates to that specific applicant.
